package com.unis.detectionnum.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.unis.detectionnum.common.vo.CableVO;
import com.unis.detectionnum.server.entity.CableDO;

public interface CableDao {
    int deleteByPrimaryKey(Integer cableId);

    int insert(CableDO record);

    int insertSelective(CableDO record);

    CableDO selectByPrimaryKey(Integer cableId);

    int updateByPrimaryKeySelective(CableDO record);

    int updateByPrimaryKey(CableDO record);

	/** 
	 * @Title: selectByCfbh 
	 * @Description: TODO
	 * @param @param cfbh
	 * @param @return
	 * @return List<CableDO>
	 * @throws 
	 */
	List<CableDO> selectByCfbh(String cfbh);

	/** 
	 * @Title: selectDatasByCfbh 
	 * @Description: TODO
	 * @param @param cfbh
	 * @param @return
	 * @return List<CableVO>
	 * @throws 
	 */
	List<CableVO> selectDatasByCfbh(@Param(value = "cfbh")String cfbh,@Param(value = "historyId")Integer historyId);



}